Bug Hunting Session
Bug 95188 - DOCX import: picture in footnote is not imported
Summary: DOCX import: picture in footnote is not imported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Oliver Specht (CIB)
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords:
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2015-10-19 21:32 UTC by Andras Timar
Modified: 2017-06-27 08:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (DOCX) (17.96 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-10-19 21:32 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2015-10-19 21:32:08 UTC
Created attachment 119771 [details]
bugdoc (DOCX)

The attached DOCX bugdoc has a green left arrow image in footnote, which is not imported by LibreOffice. Import of picture in footnote is OK in case of binary DOC and RTF formats.
Comment 1 Commit Notification 2015-11-13 13:23:55 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f47bd0561cdf4c2b4fbe2c7e396533cf85408cb7

tdf#95188: enable import of shapes in footnotes in .docx

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Andras Timar 2015-11-15 22:33:14 UTC
I tested the above patch. The picture is there, but is is clipped badly, it looks different than in Word.
Comment 3 Commit Notification 2015-11-17 08:47:02 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aac3a50a392c95532a85e4c558d2eb1d1a89cdff&h=libreoffice-5-0

tdf#95188: enable import of shapes in footnotes in .docx

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Miklos Vajna 2016-03-25 13:55:56 UTC
The image is mis-imported even outside the footnote, let's deal with that in a follow-up bug. I've filed bug 98882 for that.